Announcement

Collapse
No announcement yet.

i reported a bug on july 24th with full error details -- no reply yet

Collapse
X
 
  • Filter
  • Time
  • Show
Clear All
new posts

  • Zachery
    replied
    You have no third party addons what so ever?
    I moved your bug report to the proper project.

    You reported a vB3 Mobile API bug to the vB4 project tracker.

    Leave a comment:


  • m0rgulvale
    replied
    yes, i allow users to have avatars. i am using the latest 1.2.0. My users have the latest version of the android app and the apple app (1.1.2).

    can the developers please look at this now if they haven't already?

    is there a reason why nobody could at least reply to my message from almost a month ago to ask for more information? why am i the one doing all the work here? can you empathize here and see how any other person in my shoes, including you, would be frustrated with this?

    why is that vbulletin is so quick to put up the defense "we don't support that anymore"? what if I had not replied to this thread? did you even look at the error message originally and see it detailed api.php?

    again, i don't want to be negative. but it's hard not to when support is this bad from the QA team. who specifically works on that team, and why didn't they bother to reply ? is it typical for them to just ignore issues for such a long period?


    i'm taking my time to fill out a bug report (which users should be paid for their time fixing your problems that the QA team should be doing...), and vbulletin don't even reply.
    Last edited by m0rgulvale; Sat 20th Aug '11, 5:53pm.

    Leave a comment:


  • Lynne
    replied
    Do you allow users to have avatars? What version of the API Product are you running and which version for android and ios? (You didn't provide any of that info in the bug report which makes it hard to look into.)

    Leave a comment:


  • m0rgulvale
    replied
    this is a bug related to the mobile API it appears, not vb 3.8.7

    vbulletin is offering compatibility for mobile suite with vb 3.8.7

    lets get this fixed, its been almost a month

    why is everyone so focused on vb 3.8.7 here? notice that the error appears to be related to api.php which is part of the vbulletin mobile API.

    Code:
    Database error in vBulletin 3.8.7:
    Invalid SQL:
    SELECT user.avatarid, user.avatarrevision, avatarpath, NOT ISNULL(customavatar.userid) AS hascustom, customavatar.dateline,
    customavatar.width, customavatar.height, customavatar.width_thumb, customavatar.height_thumb
    FROM user AS user
    LEFT JOIN avatar AS avatar ON avatar.avatarid = user.avatarid
    LEFT JOIN customavatar AS customavatar ON customavatar.userid = user.userid
    WHERE user.userid =;
    MySQL Error : You have an error in your SQL syntax; check the manual that corresponds to your MySQL server version for the right syntax to use near '' at line 6
    Error Number : 1064
    Request Date : Friday, August 19th 2011 @ 01:26:36 PM
    Error Date : Friday, August 19th 2011 @ 01:26:36 PM
    Script :/api.php?api_c=511&api_v=3&api_m=search_showresults&api_searchid=672991&api_sig=removed
    Referrer : 
    IP Address : removed
    Username : removed
    Classname : vB_Database
    MySQL Version :
    if you are going to offer a mobile suite product compatible with 3.8.7, fix the bugs related to it.

    you can't have it both ways. "we dont support vb 3.8.7 for non security issues" and "we release the mobile API to be compatible with vb 3.8.7". your logic is clearly lacking
    Last edited by m0rgulvale; Sat 20th Aug '11, 5:32pm.

    Leave a comment:


  • Lynne
    replied
    The vB3 branch is only going to get security fixes.

    vBulletin 3.8.7 and vBulletin Blog 2.0.3 maintenance releases

    These 2 releases are the final releases for both vBulletin 3 and vBulletin Blog.
    Both products will still be eligible for patches for known Security Vulnerabilities until it is determined that there is insufficient usage of either product.

    Leave a comment:


  • m0rgulvale
    replied
    they made the API to be compatible with 3.8.7. doubt i'll ever upgrade to the 4x. they recently had a SQL injection which would have left my site vulnerable to attack for a long time had i been using the latest version

    vb, why is it taking so long to get a reply to the bug i reported?

    Leave a comment:


  • TheNewOne
    replied
    I dont think vBulletin 3.8.7 is supported any more but best to let staff answer to confirm

    Leave a comment:


  • i reported a bug on july 24th with full error details -- no reply yet

    http://jira.vbulletin.com/browse/VBIV-12834


    i gave the exact details of the error. not sure why it's been almost a month and i didn't even get a reply to the bug report.
widgetinstance 262 (Related Topics) skipped due to lack of content & hide_module_if_empty option.
Working...
X